Bug 620181 - Review Request: pastebinit - command line tool to pastebin file
Summary: Review Request: pastebinit - command line tool to pastebin file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-01 12:57 UTC by Lameire Alexis
Modified: 2010-09-08 04:34 UTC (History)
4 users (show)

Fixed In Version: pastebinit-1.1-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-25 18:31:08 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lameire Alexis 2010-08-01 12:57:59 UTC
Spec URL: http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/pastebinit.spec
SRPM URL: http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/pastebinit-1.1-1.fc13.src.rpm
Description: A software that lets you send anything you want directly to a
pastebin from the command line.  This software lets you send a file
or simply the result of a command directly to the pastebin you want
(if it's supported) and gives you the URL in return.

the program pass correctly mock compil and here are the rpmlint output :

[packager@tux SPECS]$ rpmlint pastebinit.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[packager@tux SPECS]$ rpmlint ../SRPMS/pastebinit-1.1-1.fc13.src.rpm 
pastebinit.src: W: spelling-error Summary(en_US) pastebin -> paste bin, paste-bin, pasteboard
pastebinit.src: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[packager@tux SPECS]$ rpmlint ../RPMS/noarch/pastebinit-1.1-1.fc13.noarch.rpm 
pastebinit.noarch: W: spelling-error Summary(en_US) pastebin -> paste bin, paste-bin, pasteboard
pastebinit.noarch: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/paste.debian.net.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/stikked.com.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/slexy.org.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/pastebin.com.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/paste2.org.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/yourpaste.net.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/fpaste.org.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/pastebin.ca.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/paste.ubuntu.com.conf
pastebinit.noarch: W: non-conffile-in-etc /etc/pastebin.d/pastie.org.conf
1 packages and 0 specfiles checked; 0 errors, 12 warnings.
[packager@tux SPECS]$ 

All warnings are false positives, especially the spelling issues; the /etc/* files should not be edited, so in this case the %config macro is not needed.

Comment 1 Mamoru TASAKA 2010-08-21 18:09:07 UTC
Before checking this package:

(In reply to comment #0)
> All warnings are false positives, especially the spelling issues; the /etc/*
> files should not be edited, so in this case the %config macro is not needed.

- Then these files currently under /etc should be moved to /usr/share
  (%_datadir). Files under /etc must be used for actually "configuration"
  files, and if the files are not expected to be modified, /usr/share
  should be used instead of /etc.

  http://www.pathname.com/fhs/pub/fhs-2.3.html#ETCHOSTSPECIFICSYSTEMCONFIGURATION
  http://www.pathname.com/fhs/pub/fhs-2.3.html#USRSHAREARCHITECTUREINDEPENDENTDATA

- Also I fail to understand why this package uses "pastebin.d" name for
  directory name. I guess %{_datadir}/%{name} (/usr/share/pastebinit) is
  more suitable to avoid potential namespace conflict.

Comment 2 Lameire Alexis 2010-08-21 19:04:18 UTC
This dir is hardcoded on the script.
I can't do anything unless I patch the sources. That is what I will do and by the way I will warn the developers about this issue

Thanks for having a look at my package.

Comment 3 Lameire Alexis 2010-08-21 19:57:29 UTC
New version with your suggestions; I submitted your fixes upstream:
   https://bugs.launchpad.net/pastebinit/+bug/62192

SPEC : http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/1.1-2/pastebinit.spec
SRPM : http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/1.1-2/pastebinit-1.1-2.fc13.src.rpm

rpmlint output : 

[packager@gnu SRPMS]$ rpmlint pastebinit-1.1-2.fc13.src.rpm 
pastebinit.src: W: spelling-error Summary(en_US) pastebin -> paste bin, paste-bin, pasteboard
pastebinit.src: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[packager@gnu SRPMS]$ rpmlint ../RPMS/noarch/pastebinit-1.1-2.fc13.noarch.rpm 
pastebinit.noarch: W: spelling-error Summary(en_US) pastebin -> paste bin, paste-bin, pasteboard
pastebinit.noarch: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[packager@gnu SRPMS]$ 


All are done :)
ready to recheck, more speed them pizza hut :D

Comment 4 Mamoru TASAKA 2010-08-22 19:06:14 UTC
Some comments:

* BuildRoot
  - For Fedora and EPEL6, BuildRoot tag is no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* "sed"ing
----------------------------------------------------------------------
sed "s|/etc/pastebin.d|%{_datadir}%{name}|g" %{name}
----------------------------------------------------------------------
  - This line does nothing (just outputs the result of sed to stdout)
    Perhaps you meant "sed -i"

  - %{_datadir}%{name} is expanded as /usr/sharepastebinit
    (%{_datadir} = /usr/share, not /usr/share/)

  - Also perhaps you want to modify README file, and
    "/.pastebin.d" in pastebinit and README.

Comment 5 Lameire Alexis 2010-08-22 20:57:22 UTC
Hi,

thanks again for your comment. Here is the new version:
SPEC : http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/1.1-3/pastebinit.spec
SRPM : http://pikachu.2014.free.fr/public/alexises/packaging/pastebinit/1.1-3/pastebinit-1.1-3.fc13.src.rpm

- solved the -i and the missing /
- added new sed to modify the name of the user config. file (~/.pastebinit.d -> ~/.pastebinit)
- moved an example conf. file to %{_docdir}
- deleted BuildRootTag.

I hope this should be OK now :)

Comment 6 Mamoru TASAKA 2010-08-23 18:56:06 UTC
Almost okay.

For -3:

* Macros
----------------------------------------------------------------
xsltproc -''-nonet /usr/share/sgml/docbook/xsl-stylesheets*/manpages/docbook.xsl pastebinit.xml 
----------------------------------------------------------------
  - Please use %{_datadir} for /usr/share here.

----------------------------------------------------------
    This package (pastebinit) is APPROVED by mtasaka
----------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". After you create your account
on FAS (Fedora Account System), please write your account name
on this bug. Then I will sponsor you.

If you want to import this package into Fedora 12/13/14, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

When using Fedora SCM system, please check below for reference:
http://fedoraproject.org/wiki/Using_Fedora_GIT

If you have questions, please ask me.

Comment 7 Lameire Alexis 2010-08-23 19:04:38 UTC
I have already a Fas account, my username is alexises.
thenks for approuving my job.

Comment 8 Mamoru TASAKA 2010-08-23 19:31:42 UTC
Okay, now I am sponsoring you. Please follow "Join" wiki
again.

Comment 9 Lameire Alexis 2010-08-23 20:58:05 UTC
New Package SCM Request
=======================
Package Name: pastebinit
Short Description: command line tool to pastebin file
Owners: alexises
Branches: f13 f14
InitialCC:

Comment 10 Kevin Fenzi 2010-08-24 23:54:01 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2010-08-25 17:25:07 UTC
pastebinit-1.1-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/pastebinit-1.1-4.fc14

Comment 12 Fedora Update System 2010-08-25 17:32:15 UTC
pastebinit-1.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pastebinit-1.1-4.fc13

Comment 13 Mamoru TASAKA 2010-08-25 18:31:08 UTC
Closing.

Comment 14 Fedora Update System 2010-09-08 02:19:39 UTC
pastebinit-1.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-09-08 04:34:32 UTC
pastebinit-1.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.